API references
Search documentation... ⌘K
API references
Merchant API

Refund a payment

Creates a refund for a captured payment that has been billed. Supports partial refunds by specifying an amount less than the remaining refundable amount. Defaults to full refund if amount is not specified.

Endpoint signature
This endpoint requires an API key. Read our authentication guide for more information.
POST https://api.reservepay.com/merchants/refund-payment HTTP/1.1
Content-Type: application/json
Accept: application/json
Authorization: Bearer <token>
{
payment_id: string,
amount: number?,
}
Returns: string
New to Reservepay? Read our guide on how to call endpoints to get started.
Request arguments
payment_id string

Required. The unique identifier of the payment to refund.

amount number

Optional. The refund amount in the smallest currency unit (e.g. satang). Defaults to the full refundable amount if not specified.

Errors specific to this endpoint
NOT_FOUND

No payment with the provided ID exists in your merchant account.

NOT_REFUNDABLE

Payment is not eligible for refund. This can happen if the payment has not been billed yet, is already fully refunded, or the integration does not support refunds.

AMOUNT_EXCEEDS_LIMIT

The refund amount exceeds the remaining refundable amount.

Errors common to all endpoints
UNHANDLED_ERROR

This error occurs when the server encounters an unexpected internal error that it cannot handle gracefully. This typically happens due to bugs, infrastructure issues, or edge cases that weren't anticipated during development.

INVALID_ARGUMENTS

This error occurs when the request contains invalid or missing parameters. Common cases include missing required fields, or values that don't match the expected format or type.

BAD_VERSION

This error occurs when making requests to an API version that does not exist. This commonly happens when using an outdated SDK or when the API version specified in the request URL is incorrect.

CODE SAMPLES
curl
Learn how to run these code samples in your terminal by reading our guide.